Reschedule a Pending Scheduled SMS Message
curl --request POST \
--url https://ugatext.com/api/v1/sms/schedule/{id}/reschedule \
--header 'Client-ID: <api-key>' \
--header 'Client-Secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_at": "2026-12-02T09:00:00.000Z",
"message": "<string>"
}
'import requests
url = "https://ugatext.com/api/v1/sms/schedule/{id}/reschedule"
payload = {
"scheduled_at": "2026-12-02T09:00:00.000Z",
"message": "<string>"
}
headers = {
"Client-ID": "<api-key>",
"Client-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Client-ID': '<api-key>',
'Client-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({scheduled_at: '2026-12-02T09:00:00.000Z', message: '<string>'})
};
fetch('https://ugatext.com/api/v1/sms/schedule/{id}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ugatext.com/api/v1/sms/schedule/{id}/reschedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scheduled_at' => '2026-12-02T09:00:00.000Z',
'message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Client-ID: <api-key>",
"Client-Secret: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ugatext.com/api/v1/sms/schedule/{id}/reschedule"
payload := strings.NewReader("{\n \"scheduled_at\": \"2026-12-02T09:00:00.000Z\",\n \"message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Client-ID", "<api-key>")
req.Header.Add("Client-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ugatext.com/api/v1/sms/schedule/{id}/reschedule")
.header("Client-ID", "<api-key>")
.header("Client-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"scheduled_at\": \"2026-12-02T09:00:00.000Z\",\n \"message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ugatext.com/api/v1/sms/schedule/{id}/reschedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Client-ID"] = '<api-key>'
request["Client-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scheduled_at\": \"2026-12-02T09:00:00.000Z\",\n \"message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message_id": "sched_1760425200000_1a2b3c4d",
"status": "scheduled",
"recipient": "+256700000000",
"sender_id": "UGATEXT",
"scheduled_at": "2023-11-07T05:31:56Z",
"recurrence": "none",
"segments": 1,
"cost_units": 0,
"estimated_cost_ugx": 0,
"cost_ugx": 0,
"currency": "UGX",
"mode": "sandbox"
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}Scheduling
Reschedule a Pending Scheduled SMS Message
POST
/
sms
/
schedule
/
{id}
/
reschedule
Reschedule a Pending Scheduled SMS Message
curl --request POST \
--url https://ugatext.com/api/v1/sms/schedule/{id}/reschedule \
--header 'Client-ID: <api-key>' \
--header 'Client-Secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_at": "2026-12-02T09:00:00.000Z",
"message": "<string>"
}
'import requests
url = "https://ugatext.com/api/v1/sms/schedule/{id}/reschedule"
payload = {
"scheduled_at": "2026-12-02T09:00:00.000Z",
"message": "<string>"
}
headers = {
"Client-ID": "<api-key>",
"Client-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Client-ID': '<api-key>',
'Client-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({scheduled_at: '2026-12-02T09:00:00.000Z', message: '<string>'})
};
fetch('https://ugatext.com/api/v1/sms/schedule/{id}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ugatext.com/api/v1/sms/schedule/{id}/reschedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scheduled_at' => '2026-12-02T09:00:00.000Z',
'message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Client-ID: <api-key>",
"Client-Secret: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ugatext.com/api/v1/sms/schedule/{id}/reschedule"
payload := strings.NewReader("{\n \"scheduled_at\": \"2026-12-02T09:00:00.000Z\",\n \"message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Client-ID", "<api-key>")
req.Header.Add("Client-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ugatext.com/api/v1/sms/schedule/{id}/reschedule")
.header("Client-ID", "<api-key>")
.header("Client-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"scheduled_at\": \"2026-12-02T09:00:00.000Z\",\n \"message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ugatext.com/api/v1/sms/schedule/{id}/reschedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Client-ID"] = '<api-key>'
request["Client-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scheduled_at\": \"2026-12-02T09:00:00.000Z\",\n \"message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message_id": "sched_1760425200000_1a2b3c4d",
"status": "scheduled",
"recipient": "+256700000000",
"sender_id": "UGATEXT",
"scheduled_at": "2023-11-07T05:31:56Z",
"recurrence": "none",
"segments": 1,
"cost_units": 0,
"estimated_cost_ugx": 0,
"cost_ugx": 0,
"currency": "UGX",
"mode": "sandbox"
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers."
}
}Authorizations
Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.
Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.
Path Parameters
The scheduled message ID to reschedule
Example:
"sched_1760425200000_1a2b3c4d"
Body
application/json
New future ISO-8601 timestamp (accepted alias: "scheduledAt").
Example:
"2026-12-02T09:00:00.000Z"
Optional updated repeat interval ("none", "daily", "weekly", or "monthly"). Preserves existing recurrence when omitted.
Available options:
none, daily, weekly, monthly Optional updated SMS message text.
Response
Scheduled message rescheduled successfully
Example:
true
Example:
"sched_1760425200000_1a2b3c4d"
Example:
"scheduled"
Example:
"+256700000000"
Example:
"UGATEXT"
Available options:
none, daily, weekly, monthly Example:
"none"
Example:
1
Example:
0
Example:
0
Example:
0
Example:
"UGX"
Available options:
live, sandbox Example:
"sandbox"

